Bug 193549 - yumex fails to build in mock
yumex fails to build in mock
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-BuildReq
  Show dependency treegraph
 
Reported: 2006-05-30 10:03 EDT by Matt Domsch
Modified: 2013-01-09 22:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-19 09:02:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2006-05-30 10:03:09 EDT
This package fails to build in mock if the minimal build group is reduced to
only the packages listed in the Exceptions section of the packaging guidelines.

Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.5864
+ umask 022
+ cd /builddir/build/BUILD
+ cd yumex-1.0.1
+ LANG=C
+ export LANG
+ unset DISPLAY
+ make
for d in src po src/yumgui src/yumex; do make -C $d; [ $? = 0 ] || exit 1 ; done
make[1]: Entering directory `/builddir/build/BUILD/yumex-1.0.1/src'
Byte-compiling python modules...
yumexmain.py
Byte-compiling python modules (optimised versions) ...
yumexmain.py
make[1]: Leaving directory `/builddir/build/BUILD/yumex-1.0.1/src'
make[1]: Entering directory `/builddir/build/BUILD/yumex-1.0.1/po'
intltool-update --gettext-package=yumex --pot
make[1]: intltool-update: Command not found
make[1]: *** [yumex.pot] Error 127
make[1]: Leaving directory `/builddir/build/BUILD/yumex-1.0.1/po'
make: *** [subdirs] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.5864 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.5864 (%build)


BuildRequires: intltool

should fix it.
Comment 1 Tim Lauridsen 2006-06-07 05:50:10 EDT
I will add intltool to buildrequires.
Comment 2 Tim Lauridsen 2006-06-19 09:02:13 EDT
Fixed in 1.1.x & 1.0.x branch. will be included in 1.1.1 & 1.0.3, when they are
released.

Note You need to log in before you can comment on or make changes to this bug.